Name:		siril
Version:	0.9.5
Release:	%mkrel 4
Summary:	Astronomical image (pre-)processing program
Group:		Sciences/Astronomy
License:	GPLv3+
URL:		http://free-astro.org/index.php/Siril
Source0:	https://free-astro.org/download/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.9.5-mga-install.patch
BuildRequires:	appstream-util
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(ffms2)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	pkgconfig(libswscale)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(opencv)

%description
Siril is an image processing tool specially tailored for noise reduction and
improving the signal/noise ratio of an image from multiple captures, as
required in astronomy. Siril can align automatically or manually, stack and
enhance pictures from various file formats, even images sequences (movies and
SER files).

%prep
%autosetup -p1

%build
intltoolize -f -c
autoreconf -vfi -Wno-portability

%configure2_5x
%make_build

%install
%make_install

%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/org.free-astro.%{name}.appdata.xml

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.free-astro.%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/org.free-astro.%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Tue May 02 2017 akien <akien> 0.9.5-4.mga6
+ Revision: 1098375
- Rebuild for ffmpeg 3.3

* Thu Mar 09 2017 daviddavid <daviddavid> 0.9.5-3.mga6
+ Revision: 1091138
- rebuild for ffmpeg 3.2.4

* Wed Dec 28 2016 neoclust <neoclust> 0.9.5-2.mga6
+ Revision: 1078460
- Rebuild for new libraw

* Tue Nov 29 2016 daviddavid <daviddavid> 0.9.5-1.mga6
+ Revision: 1070993
- fix release tag
- new version: 0.9.5
- rename and rediff mga-install patch

* Tue Nov 22 2016 eatdirt <eatdirt> 0.9.4-4.mga6
+ Revision: 1068813
- Rebuild for new cfitsio

* Thu Sep 15 2016 daviddavid <daviddavid> 0.9.4-3.mga6
+ Revision: 1052979
- use a new set of icons (thanks to the developer lock042)

* Sun Sep 11 2016 daviddavid <daviddavid> 0.9.4-2.mga6
+ Revision: 1051440
- update desktop file categories from upstream

* Fri Sep 09 2016 daviddavid <daviddavid> 0.9.4-1.mga6
+ Revision: 1051048
- initial package siril

